Cross compile to ARM(iMX6) issue

cancel
Showing results for 
Search instead for 
Did you mean: 

Cross compile to ARM(iMX6) issue

1,685 Views
wangvictor
Contributor III

Hi,

I need you help for solving an issue that’s is getting me crazy.

I followed the tutorial [https://community.nxp.com/docs/DOC-328543] for croos compiling QT5 .

I installed the toolchain and run the shell script.
And before i start my project i had already set the environment.

When i using qmake the command like below :

qmake -spec /mnt/raid115/victor/freescale/opt/fsl-imx-wayland/4.1.15/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/lib/qt5/mkspecs/devices/linux-imx6-g++ -o Makefile project/project.pro

Then it will give me the error like this :

Project ERROR: CROSS_COMPILE needs to be set via -device-option CROSS_COMPILE=<path>

Could not read qmake configuration file /mnt/raid115/victor/freescale/opt/fsl-imx-wayland/4.1.15/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/lib/qt5/mkspecs/devices/linux-imx6-g++/qmake.conf.

Error processing project file: project.pro

How to fix this one?
Please Help!

Labels (4)
0 Kudos
3 Replies

317 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Wang Victor,

It is possible that changes on the Qt releases may have affected the way the cross compiling works and that’s why the original document does not work correctly.

I’m setting up a host to try to replicate the issues you are encountering. However, since Qt5 for the BSP Releases depend on X11 I would recommend switching from Wayland to X11 on your DISTRO. I’m not sure if that’s the problem but I’ll try replicating using X11 just to be safe.

NXP covers and supports just the building of supported images with Qt5 so there is no much reference information other than that. However, it may help asking also on Qt-centric forums.

I’ll let you know of my findings once I have everything setup.

Regards,

0 Kudos

317 Views
gusarambula
NXP TechSupport
NXP TechSupport

Wang Victor,


While the qt5 images from the BSP do require X11 I found the following document (which is much more recent) where it shows how to configure Qt for the i.MX6UL and they are using the fsl-imx-wayland DISTRO. I'll follow it, perhaps it may also help.

https://community.nxp.com/docs/DOC-333580 

Regards,

0 Kudos

317 Views
vdasvaldas09
Contributor III

Did you resolved this problem? Now I have the same.

0 Kudos